import request from '@/utils/request'

// 查询加盟申请列表
export function listJoin(data) {
  return request({
    url: '/tJoin/list',
    method: 'post',
    data: data
  })
}

// 查询加盟申请详细
export function getJoin(id) {
  return request({
    url: '/tJoin/' + id,
    method: 'get'
  })
}

// 新增加盟申请
export function addJoin(data) {
  return request({
    url: '/tJoin',
    method: 'post',
    data: data
  })
}

// 修改加盟申请
export function updateJoin(data) {
  return request({
    url: '/tJoin',
    method: 'put',
    data: data
  })
}

// 删除加盟申请
export function delJoin(id) {
  return request({
    url: '/tJoin/' + id,
    method: 'delete'
  })
}

// 导出加盟申请
export function exportJoin(query) {
  return request({
    url: '/tJoin/export',
    method: 'get',
    params: query
  })
}
